Package ru.bitel.bgbilling.kernel.event.events

# Class GetContractStatusChangeDatesEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetContractStatusChangeDatesEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class GetContractStatusChangeDatesEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - получение списка дат для смены статуса договора в Web-статистике Получения списка дат с которых можно заблокировать/разблокировать договор или сменить статус в Web-статистике Также обрабатываются даты ДО в этих возможностях смены статуса Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `GetContractStatusChangeDatesEvent()` |
  `` | `GetContractStatusChangeDatesEvent​(int userId, int cid, int currentStatus, java.util.Date date)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCurrentStatus()` | Возвращает текущий(!)
  `java.util.Date` | `getDate()` | Возвращает текущую дату.
  `java.util.List<java.util.Date>` | `getDateList()` | Получение списка дат FROM (вызывается биллингом после обработки события). Список дат устанавливается скриптом.
  `java.util.List<java.util.Date>` | `getDateToList()` | Получение списка дат TO (вызывается биллингом после обработки события). Список дат устанавливается скриптом.
  `void` | `setDateList​(java.util.List<java.util.Date> dateList)` | Установка списка дат FROM. Будет использоваться если передать значение не NULL
  `void` | `setDateToList​(java.util.List<java.util.Date> dateToList)` | Установка списка дат TO. Будет использоваться если передать значение не NULL.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetContractStatusChangeDatesEvent

    protected GetContractStatusChangeDatesEvent()

  - ### GetContractStatusChangeDatesEvent

    public GetContractStatusChangeDatesEvent​(int userId, int cid, int currentStatus, java.util.Date date)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `currentStatus` - - текущий статус
      `date` - - текущая дата

- ## Method Details

  - ### getDateList

    public java.util.List<java.util.Date> getDateList()
    Получение списка дат FROM (вызывается биллингом после обработки события).
    Список дат устанавливается скриптом.
    Returns:
      Список дат. Если значение не NULL, то список дат используется, или будет использоваться. [!] Если список дат пуст, то это означает, что нельзя менять статус.

  - ### getDateToList

    public java.util.List<java.util.Date> getDateToList()
    Получение списка дат TO (вызывается биллингом после обработки события).
    Список дат устанавливается скриптом.
    Returns:
      Список дат. Если значение не NULL, то список дат используется, или будет использоваться.

  - ### setDateList

    public void setDateList​(java.util.List<java.util.Date> dateList)
    Установка списка дат FROM.
    Будет использоваться если передать значение не NULL. [!] Если передать пустой список, то это означает, что нельзя менять статус.
    Parameters:
      `dateList` - - список дат

  - ### setDateToList

    public void setDateToList​(java.util.List<java.util.Date> dateToList)
    Установка списка дат TO.
    Будет использоваться если передать значение не NULL.
    Parameters:
      `dateToList` - - список дат

  - ### getDate

    public java.util.Date getDate()
    Возвращает текущую дату.
    Returns:
      дата

  - ### getCurrentStatus

    public int getCurrentStatus()
    Возвращает текущий(!) статус договора.
    Returns:
      статус договора